
#include <USBKit.h>
#include <stdio.h>

int main(int argc, char *argv[])
{
	if(argc!=2) {
		printf("Usage: mouse <usbdevice>\n");
		return 1;
	}
	
	USBDevice dev(argv[1]);
	uchar data[4];

	if(dev.InitCheck() || dev.SetConfiguration(dev.ConfigurationAt(0))){
		printf("Cannot open and configure: %s\n",argv[1]);
		return 1;
	}
	
	const USBEndpoint *ept = 
	dev.ActiveConfiguration()->InterfaceAt(0)->EndpointAt(0);	
	
	for(;;){
		if(!ept->InterruptTransfer(data,4)){
			printf("0x%02x 0x%02x 0x%02x 0x%02x\n", 
					data[0],data[1],data[2],data[3]);
		}
	}
	return 0;
}
